static const char *RcsId = "$Header:  $";
//+=============================================================================
//
// file :         PseudoAxesStateMachine.cpp
//
// description :  C++ source for the PseudoAxes and its alowed. 
//                method for commands and attributes
//
// project :      TANGO Device Server
//
// $Author:  $
//
// $Revision:  $
//
// $Log:  $
//
// copyleft :     European Synchrotron Radiation Facility
//                BP 220, Grenoble 38043
//                FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================

#include <tango.h>
#include <PseudoAxes.h>
#include <PseudoAxesClass.h>

/*====================================================================
 *	This file contains the methods to allow commands and attributes
 * read or write execution.
 *
 * If you wand to add your own code, add it between 
 * the "End/Re-Start of Generated Code" comments.
 *
 * If you want, you can also add your own methods.
 *====================================================================
 */

namespace PseudoAxes_ns
{

//=================================================
//		Attributes Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		PseudoAxes::is_mode_allowed
// 
// description : 	Read/Write allowed for mode attribute.
//
//-----------------------------------------------------------------------------
bool PseudoAxes::is_mode_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PseudoAxes::is_modeNames_allowed
// 
// description : 	Read/Write allowed for modeNames attribute.
//
//-----------------------------------------------------------------------------
bool PseudoAxes::is_modeNames_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PseudoAxes::is_parametersNames_allowed
// 
// description : 	Read/Write allowed for parametersNames attribute.
//
//-----------------------------------------------------------------------------
bool PseudoAxes::is_parametersNames_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PseudoAxes::is_pseudoAxisNames_allowed
// 
// description : 	Read/Write allowed for pseudoAxisNames attribute.
//
//-----------------------------------------------------------------------------
bool PseudoAxes::is_pseudoAxisNames_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PseudoAxes::is_parameters_allowed
// 
// description : 	Read/Write allowed for parameters attribute.
//
//-----------------------------------------------------------------------------
bool PseudoAxes::is_parameters_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PseudoAxes::is_initialized_allowed
// 
// description : 	Read/Write allowed for initialized attribute.
//
//-----------------------------------------------------------------------------
bool PseudoAxes::is_initialized_allowed(Tango::AttReqType type)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

//=================================================
//		Commands Allowed Methods
//=================================================

//+----------------------------------------------------------------------------
//
// method : 		PseudoAxes::is_AxisInit_allowed
// 
// description : 	Execution allowed for AxisInit command.
//
//-----------------------------------------------------------------------------
bool PseudoAxes::is_AxisInit_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}
//+----------------------------------------------------------------------------
//
// method : 		PseudoAxes::is_Apply_allowed
// 
// description : 	Execution allowed for Apply command.
//
//-----------------------------------------------------------------------------
bool PseudoAxes::is_Apply_allowed(const CORBA::Any &any)
{
		//	End of Generated Code

		//	Re-Start of Generated Code
	return true;
}

}	// namespace PseudoAxes_ns
